# Containers management

These scripts and Systemd units manage the daily snapshoting of our Nspawn containers, and (optionally) update of Docker
containers.

### Introduction
All running Nspawn containers are stopped, snapshoted (using Btrfs subvolumes) and restarted

### Files
* `conts-snap.sh` runs the main process, which snapshots the Nspawn containers.
* `docker-upgrade.sh` pulls the newest version of running Docker containers.
* `variables.conf.template` contains examples variables definitions, and should be copied locally to `variables.conf`
  (with any required modifications).
* `systemd-templates/` contains Systemd units templates for running the scripts unattended.
  * specifically, `machines-start.timer` is a daily permanent trigger to start all enabled containers.
#### Installation
* `install.sh` script copies Systemd templates to their destination, and enables conts-snap and docker-upgrade timer.

### TODO
* RAS
