#!/usr/bin/env bash

run_directory=$(dirname $(readlink -f "$0"))
user=$(whoami)

source "$run_directory/variables.conf"

if [ -f $run_directory/.disabled ]; then
  echo "Installation is disabled. Exiting..."
  exit 0
fi

if [[ $user != 'root' ]]; then
  sudo="sudo"
else
  sudo=""
fi

echo "Copying Systemd units to system directory..."
$sudo cp systemd-templates/cont-snap@.service /etc/systemd/system/
$sudo cp systemd-templates/conts-snap.service /etc/systemd/system/
$sudo sed -i -e "s:PH_DIRECTORY:$run_directory:g" /etc/systemd/system/conts-snap.service
$sudo cp systemd-templates/conts-snap.timer /etc/systemd/system/
$sudo cp systemd-templates/machines-start.timer /etc/systemd/system/
if [ $docker -eq 1 ]; then
  $sudo cp systemd-templates/docker-upgrade.service /etc/systemd/system/
  $sudo sed -i -e "s:PH_DIRECTORY:$run_directory:g" /etc/systemd/system/docker-upgrade.service
  $sudo cp systemd-templates/docker-upgrade.timer /etc/systemd/system/
fi
echo "Reloading Systemd..."
$sudo systemctl daemon-reload
echo "Enabling timer(s) (not starting it, either do it manually or reboot)..."
$sudo systemctl enable conts-snap.timer
$sudo systemctl enable machines-start.timer
if [ $docker -eq 1 ]; then
  $sudo systemctl enable docker-upgrade.timer
fi

echo "Finished install. Exiting..."
exit 0
